<template>
  <div class="flash" :class="notinprototype">

  </div>
</template>

<script setup>
import { useMainStore } from '~~/stores/main';
import { storeToRefs } from 'pinia';

const main = useMainStore();
const { notinprototype } = storeToRefs(main);

</script>

<style>
.flash {
  position: fixed;
  right: -8px;
  height: 16px;
  width: 16px;
  border-radius: 32px;
  background-color: rgba(31, 117, 203, 1);
  visibility: hidden;
  opacity: 0;
}

.flashone {
  animation: flashonekeys 1s ease-in;
}

@keyframes flashonekeys {
    0% {
      visibility: visible;
      opacity: 1;
    }
    100% {
      visibility: hidden;
      opacity: 0;
    }
}

.flashtwo {
  animation: flashtwokeys 1s ease-in;
}

@keyframes flashtwokeys {
    0% {
      visibility: visible;
      opacity: 1;
    }
    100% {
      visibility: hidden;
      opacity: 0;
    }
}
</style>